---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY
USING TABLE(values('AMG_BATCHALERT_FILE'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'AMG_BATCHALERT_FILE' 
 , '!SASFMCP_IMPLEMENT_HOME/alertmgt/data/batchAlert.csv'
 , 'Full path and CSV filename to the batch alert input file'
 , 'batch alert input file'
 , 'amg'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
ELSE IGNORE;

merge into FCM_PROPERTY
USING TABLE(values('AMG_BULKSTATUS_FILE'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'AMG_BULKSTATUS_FILE' 
 , '!SASFMCP_IMPLEMENT_HOME/alertmgt/data/bulkAlertStatus.csv'
 , 'Full path and CSV file name to the bulk status input file'
 , 'bulk status input file'
 , 'amg'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
ELSE IGNORE;

---------------------------------------------------------------------------------
--
-- Insert version release 3.3.1.9 (3.3 M1 HF9)
--
---------------------------------------------------------------------------------

insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.3.1.9', current date, '3.3 M1 HF9 DDL', 'DDL');