
---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY p
USING (select 'DBMAINT_ATA_WINDOW' as property_name from dual) ac
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_ID,PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
    CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
    PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
  property_seq.nextval
 , 'DBMAINT_ATA_WINDOW' 
 , '4'
 , 'Agent time analysis window (in hours)'
 , 'Agent time analysis window'
 , 'sordbmaint'
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 ,  'system'  
 ,  'system' 
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
;
commit;

---------------------------------------------------------------------------------
--
-- Insert version release 3.3.1.11 (3.3 M1 HF11)
--
---------------------------------------------------------------------------------
merge into FCM_VERSION p
USING (select 'Base DDL' as VERSION_NAME,'3.3.1.11' as VERSION_NUM from dual) ac
                  ON (p.VERSION_NAME = ac.VERSION_NAME AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) 
VALUES (
 	'Base DDL', '3.3.1.11', current_date, '3.3 M1 HF11 DDL', 'DDL')
;
commit;
