
  CREATE OR REPLACE PROCEDURE SET_XACT_FRAUD_FLAG (
     I_ALERT_ID	IN NUMBER,
     I_ALERT_VERSION_NBR IN NUMBER,
     I_RESULT_ID	IN NUMBER,
     I_TABNAME	IN VARCHAR2,
     I_ALERT_TYPE IN VARCHAR2,
     I_USER_NAME	IN VARCHAR2,
     I_TRAN_IDS	IN VARCHAR2,
     I_FRAUD_IND	IN VARCHAR2,
     I_NEED_TO_COMMIT	IN VARCHAR2 )

-----------------------------------------------------------------------------
-- File:  SET_XACT_FRAUD_FLAG.SQL
--
--
-- Description:
--     Sets or unsets the cmx_user_fraud_ind column for a given account,
--     transaction_type, and array of transactions.
--
-- Called By:
--     SAVE_ALERT_AND_TRAN_IDS
--
-- Calls:
--     UPD_XACT_FRAUD_FLAG
--
-- Notes:
--     Originally stolen from specific procedure SET_XACT_FRAUD_FLA.
--
-- Usage:
--
--
-- History:
--     2012/07/23    leushe				 Ported from DB2
--     2014/04/09    leushe              Issue when exactly 50 txns, or multiple of 50 txns were sent in, caused an extra call to upd_xact_Fraud_flag proc
--                                       That cause a null to be inserted into the FMX_FRAUD_UPDT.CMX_TRAN_ID column.
--                                       added an extra if condition after looping for 50  "AND (l_iterator-1) > 0"
--
------------------------------------------------------------------------
IS

     l_rowcount INTEGER DEFAULT 0;
     l_index INTEGER DEFAULT 0;
     l_iterator SMALLINT;
     l_id VARCHAR2(36);
     l_pos INTEGER;
     l_length INTEGER;
     l_tabname VARCHAR2(50);
     l_stmtTemplate varchar2(5000);
     l_auditstmtTemplate varchar2(5000);

     l_transaction_id_1 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_2 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_3 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_4 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_5 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_6 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_7 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_8 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_9 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_10 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_11 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_12 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_13 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_14 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_15 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_16 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_17 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_18 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_19 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_20 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_21 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_22 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_23 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_24 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_25 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_26 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_27 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_28 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_29 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_30 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_31 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_32 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_33 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_34 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_35 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_36 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_37 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_38 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_39 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_40 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_41 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_42 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_43 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_44 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_45 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_46 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_47 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_48 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_49 VARCHAR2(36) DEFAULT NULL;
     l_transaction_id_50 VARCHAR2(36) DEFAULT NULL;

     l_cmx_id_1 NUMBER DEFAULT 0;
     l_cmx_id_2 NUMBER DEFAULT 0;
     l_cmx_id_3 NUMBER DEFAULT 0;
     l_cmx_id_4 NUMBER DEFAULT 0;
     l_cmx_id_5 NUMBER DEFAULT 0;
     l_cmx_id_6 NUMBER DEFAULT 0;
     l_cmx_id_7 NUMBER DEFAULT 0;
     l_cmx_id_8 NUMBER DEFAULT 0;
     l_cmx_id_9 NUMBER DEFAULT 0;
     l_cmx_id_10 NUMBER DEFAULT 0;
     l_cmx_id_11 NUMBER DEFAULT 0;
     l_cmx_id_12 NUMBER DEFAULT 0;
     l_cmx_id_13 NUMBER DEFAULT 0;
     l_cmx_id_14 NUMBER DEFAULT 0;
     l_cmx_id_15 NUMBER DEFAULT 0;
     l_cmx_id_16 NUMBER DEFAULT 0;
     l_cmx_id_17 NUMBER DEFAULT 0;
     l_cmx_id_18 NUMBER DEFAULT 0;
     l_cmx_id_19 NUMBER DEFAULT 0;
     l_cmx_id_20 NUMBER DEFAULT 0;
     l_cmx_id_21 NUMBER DEFAULT 0;
     l_cmx_id_22 NUMBER DEFAULT 0;
     l_cmx_id_23 NUMBER DEFAULT 0;
     l_cmx_id_24 NUMBER DEFAULT 0;
     l_cmx_id_25 NUMBER DEFAULT 0;
     l_cmx_id_26 NUMBER DEFAULT 0;
     l_cmx_id_27 NUMBER DEFAULT 0;
     l_cmx_id_28 NUMBER DEFAULT 0;
     l_cmx_id_29 NUMBER DEFAULT 0;
     l_cmx_id_30 NUMBER DEFAULT 0;
     l_cmx_id_31 NUMBER DEFAULT 0;
     l_cmx_id_32 NUMBER DEFAULT 0;
     l_cmx_id_33 NUMBER DEFAULT 0;
     l_cmx_id_34 NUMBER DEFAULT 0;
     l_cmx_id_35 NUMBER DEFAULT 0;
     l_cmx_id_36 NUMBER DEFAULT 0;
     l_cmx_id_37 NUMBER DEFAULT 0;
     l_cmx_id_38 NUMBER DEFAULT 0;
     l_cmx_id_39 NUMBER DEFAULT 0;
     l_cmx_id_40 NUMBER DEFAULT 0;
     l_cmx_id_41 NUMBER DEFAULT 0;
     l_cmx_id_42 NUMBER DEFAULT 0;
     l_cmx_id_43 NUMBER DEFAULT 0;
     l_cmx_id_44 NUMBER DEFAULT 0;
     l_cmx_id_45 NUMBER DEFAULT 0;
     l_cmx_id_46 NUMBER DEFAULT 0;
     l_cmx_id_47 NUMBER DEFAULT 0;
     l_cmx_id_48 NUMBER DEFAULT 0;
     l_cmx_id_49 NUMBER DEFAULT 0;
     l_cmx_id_50 NUMBER DEFAULT 0;

BEGIN
    -- Get the sor_table-name based on the trans_Activity_acronym passed in

	select sor_table_name into l_tabname
	from fcm_grid_trans_activity
	where trans_activity_acronym = i_tabname;


    l_iterator := 1;
    l_length := length(rtrim(i_tran_ids))+1;
    l_pos := 1;

    WHILE (l_pos < l_length) LOOP

       l_index := instr(i_tran_ids,',',l_pos);
       IF(l_index = 0) THEN
           l_id := substr(i_tran_ids,l_pos);
           l_pos := l_length;
       ELSE
           l_id := substr(i_tran_ids,l_pos,l_index-l_pos);
           l_pos := l_index+1;
       END IF;

       case l_iterator
          when 1 then  l_transaction_id_1 := l_id;
                      l_cmx_id_1 := cast ( l_transaction_id_1 as number );
          when 2 then  l_transaction_id_2 := l_id;
                      l_cmx_id_2 := cast ( l_transaction_id_2 as number );
          when 3 then  l_transaction_id_3 := l_id;
                      l_cmx_id_3 := cast ( l_transaction_id_3 as number );
          when 4 then  l_transaction_id_4 := l_id;
                      l_cmx_id_4 := cast ( l_transaction_id_4 as number );
          when 5 then  l_transaction_id_5 := l_id;
                      l_cmx_id_5 := cast ( l_transaction_id_5 as number );
          when 6 then  l_transaction_id_6 := l_id;
                      l_cmx_id_6 := cast ( l_transaction_id_6 as number );
          when 7 then  l_transaction_id_7 := l_id;
                      l_cmx_id_7 := cast ( l_transaction_id_7 as number );
          when 8 then  l_transaction_id_8 := l_id;
                      l_cmx_id_8 := cast ( l_transaction_id_8 as number );
          when 9 then  l_transaction_id_9 := l_id;
                      l_cmx_id_9 := cast ( l_transaction_id_9 as number );
          when 10 then  l_transaction_id_10 := l_id;
                       l_cmx_id_10 := cast ( l_transaction_id_10 as number );
          when 11 then  l_transaction_id_11 := l_id;
                       l_cmx_id_11 := cast ( l_transaction_id_11 as number );
          when 12 then  l_transaction_id_12 := l_id;
                       l_cmx_id_12 := cast ( l_transaction_id_12 as number );
          when 13 then  l_transaction_id_13 := l_id;
                       l_cmx_id_13 := cast ( l_transaction_id_13 as number );
          when 14 then  l_transaction_id_14 := l_id;
                       l_cmx_id_14 := cast ( l_transaction_id_14 as number );
          when 15 then  l_transaction_id_15 := l_id;
                       l_cmx_id_15 := cast ( l_transaction_id_15 as number );
          when 16 then  l_transaction_id_16 := l_id;
                       l_cmx_id_16 := cast ( l_transaction_id_16 as number );
          when 17 then  l_transaction_id_17 := l_id;
                       l_cmx_id_17 := cast ( l_transaction_id_17 as number );
          when 18 then  l_transaction_id_18 := l_id;
                       l_cmx_id_18 := cast ( l_transaction_id_18 as number );
          when 19 then  l_transaction_id_19 := l_id;
                       l_cmx_id_19 := cast ( l_transaction_id_19 as number );
          when 20 then  l_transaction_id_20 := l_id;
                       l_cmx_id_20 := cast ( l_transaction_id_20 as number );
          when 21 then  l_transaction_id_21 := l_id;
                       l_cmx_id_21 := cast ( l_transaction_id_21 as number );
          when 22 then  l_transaction_id_22 := l_id;
                       l_cmx_id_22 := cast ( l_transaction_id_22 as number );
          when 23 then  l_transaction_id_23 := l_id;
                       l_cmx_id_23 := cast ( l_transaction_id_23 as number );
          when 24 then  l_transaction_id_24 := l_id;
                       l_cmx_id_24 := cast ( l_transaction_id_24 as number );
          when 25 then  l_transaction_id_25 := l_id;
                       l_cmx_id_25 := cast ( l_transaction_id_25 as number );
          when 26 then  l_transaction_id_26 := l_id;
                       l_cmx_id_26 := cast ( l_transaction_id_26 as number );
          when 27 then  l_transaction_id_27 := l_id;
                       l_cmx_id_27 := cast ( l_transaction_id_27 as number );
          when 28 then  l_transaction_id_28 := l_id;
                       l_cmx_id_28 := cast ( l_transaction_id_28 as number );
          when 29 then  l_transaction_id_29 := l_id;
                       l_cmx_id_29 := cast ( l_transaction_id_29 as number );
          when 30 then  l_transaction_id_30 := l_id;
                       l_cmx_id_30 := cast ( l_transaction_id_30 as number );
          when 31 then  l_transaction_id_31 := l_id;
                       l_cmx_id_31 := cast ( l_transaction_id_31 as number );
          when 32 then  l_transaction_id_32 := l_id;
                       l_cmx_id_32 := cast ( l_transaction_id_32 as number );
          when 33 then  l_transaction_id_33 := l_id;
                       l_cmx_id_33 := cast ( l_transaction_id_33 as number );
          when 34 then  l_transaction_id_34 := l_id;
                       l_cmx_id_34 := cast ( l_transaction_id_34 as number );
          when 35 then  l_transaction_id_35 := l_id;
                       l_cmx_id_35 := cast ( l_transaction_id_35 as number );
          when 36 then  l_transaction_id_36 := l_id;
                       l_cmx_id_36 := cast ( l_transaction_id_36 as number );
          when 37 then  l_transaction_id_37 := l_id;
                       l_cmx_id_37 := cast ( l_transaction_id_37 as number );
          when 38 then  l_transaction_id_38 := l_id;
                       l_cmx_id_38 := cast ( l_transaction_id_38 as number );
          when 39 then  l_transaction_id_39 := l_id;
                       l_cmx_id_39 := cast ( l_transaction_id_39 as number );
          when 40 then  l_transaction_id_40 := l_id;
                       l_cmx_id_40 := cast ( l_transaction_id_40 as number );
          when 41 then  l_transaction_id_41 := l_id;
                       l_cmx_id_41 := cast ( l_transaction_id_41 as number );
          when 42 then  l_transaction_id_42 := l_id;
                       l_cmx_id_42 := cast ( l_transaction_id_42 as number );
          when 43 then  l_transaction_id_43 := l_id;
                       l_cmx_id_43 := cast ( l_transaction_id_43 as number );
          when 44 then  l_transaction_id_44 := l_id;
                       l_cmx_id_44 := cast ( l_transaction_id_44 as number );
          when 45 then  l_transaction_id_45 := l_id;
                       l_cmx_id_45 := cast ( l_transaction_id_45 as number );
          when 46 then  l_transaction_id_46 := l_id;
                       l_cmx_id_46 := cast ( l_transaction_id_46 as number );
          when 47 then  l_transaction_id_47 := l_id;
                       l_cmx_id_47 := cast ( l_transaction_id_47 as number );
          when 48 then  l_transaction_id_48 := l_id;
                       l_cmx_id_48 := cast ( l_transaction_id_48 as number );
          when 49 then  l_transaction_id_49 := l_id;
                       l_cmx_id_49 := cast ( l_transaction_id_49 as number );
          when 50 then  l_transaction_id_50 := l_id;
                       l_cmx_id_50 := cast ( l_transaction_id_50 as number );
          upd_xact_fraud_flag
                          (l_tabname, I_ALERT_ID,I_ALERT_VERSION_NBR ,I_ALERT_TYPE, I_RESULT_ID, i_user_name, i_fraud_ind,l_iterator-1,
                            l_cmx_id_1, l_cmx_id_2, l_cmx_id_3,
                            l_cmx_id_4, l_cmx_id_5, l_cmx_id_6,
                            l_cmx_id_7, l_cmx_id_8, l_cmx_id_9,
                            l_cmx_id_10, l_cmx_id_11, l_cmx_id_12,
                            l_cmx_id_13, l_cmx_id_14, l_cmx_id_15,
                            l_cmx_id_16, l_cmx_id_17, l_cmx_id_18,
                            l_cmx_id_19, l_cmx_id_20, l_cmx_id_21,
                            l_cmx_id_22, l_cmx_id_23, l_cmx_id_24,
                            l_cmx_id_25,
                            l_cmx_id_26, l_cmx_id_27, l_cmx_id_28,
                            l_cmx_id_29, l_cmx_id_30, l_cmx_id_31,
                            l_cmx_id_32, l_cmx_id_33, l_cmx_id_34,
                            l_cmx_id_35, l_cmx_id_36, l_cmx_id_37,
                            l_cmx_id_38, l_cmx_id_39, l_cmx_id_40,
                            l_cmx_id_41, l_cmx_id_42, l_cmx_id_43,
                            l_cmx_id_44, l_cmx_id_45, l_cmx_id_46,
                            l_cmx_id_47, l_cmx_id_48, l_cmx_id_49,
                            l_cmx_id_50,
                            i_need_to_commit);
                        l_iterator := 0;
                        l_cmx_id_1 := 0;
                        l_cmx_id_2 := 0;
                        l_cmx_id_3 := 0;
                        l_cmx_id_4 := 0;
                        l_cmx_id_5 := 0;
                        l_cmx_id_6 := 0;
                        l_cmx_id_7 := 0;
                        l_cmx_id_8 := 0;
                        l_cmx_id_9 := 0;
                        l_cmx_id_10 := 0;
                        l_cmx_id_11 := 0;
                        l_cmx_id_12 := 0;
                        l_cmx_id_13 := 0;
                        l_cmx_id_14 := 0;
                        l_cmx_id_15 := 0;
                        l_cmx_id_16 := 0;
                        l_cmx_id_17 := 0;
                        l_cmx_id_18 := 0;
                        l_cmx_id_19 := 0;
                        l_cmx_id_20 := 0;
                        l_cmx_id_21 := 0;
                        l_cmx_id_22 := 0;
                        l_cmx_id_23 := 0;
                        l_cmx_id_24 := 0;
                        l_cmx_id_25 := 0;
                        l_cmx_id_26 := 0;
                        l_cmx_id_27 := 0;
                        l_cmx_id_28 := 0;
                        l_cmx_id_29 := 0;
                        l_cmx_id_30 := 0;
                        l_cmx_id_31 := 0;
                        l_cmx_id_32 := 0;
                        l_cmx_id_33 := 0;
                        l_cmx_id_34 := 0;
                        l_cmx_id_35 := 0;
                        l_cmx_id_36 := 0;
                        l_cmx_id_37 := 0;
                        l_cmx_id_38 := 0;
                        l_cmx_id_39 := 0;
                        l_cmx_id_40 := 0;
                        l_cmx_id_41 := 0;
                        l_cmx_id_42 := 0;
                        l_cmx_id_43 := 0;
                        l_cmx_id_44 := 0;
                        l_cmx_id_45 := 0;
                        l_cmx_id_46 := 0;
                        l_cmx_id_47 := 0;
                        l_cmx_id_48 := 0;
                        l_cmx_id_49 := 0;
                        l_cmx_id_50 := 0;
       end case;

       l_iterator := l_iterator + 1;
    END LOOP;

      IF (l_iterator < 50 AND (l_iterator-1) > 0 ) THEN

       			          upd_xact_fraud_flag
                          (l_tabname, I_ALERT_ID,I_ALERT_VERSION_NBR ,I_ALERT_TYPE, I_RESULT_ID, i_user_name, i_fraud_ind,l_iterator-1,
                            l_cmx_id_1, l_cmx_id_2, l_cmx_id_3,
                            l_cmx_id_4, l_cmx_id_5, l_cmx_id_6,
                            l_cmx_id_7, l_cmx_id_8, l_cmx_id_9,
                            l_cmx_id_10, l_cmx_id_11, l_cmx_id_12,
                            l_cmx_id_13, l_cmx_id_14, l_cmx_id_15,
                            l_cmx_id_16, l_cmx_id_17, l_cmx_id_18,
                            l_cmx_id_19, l_cmx_id_20, l_cmx_id_21,
                            l_cmx_id_22, l_cmx_id_23, l_cmx_id_24,
                            l_cmx_id_25,
                            l_cmx_id_26, l_cmx_id_27, l_cmx_id_28,
                            l_cmx_id_29, l_cmx_id_30, l_cmx_id_31,
                            l_cmx_id_32, l_cmx_id_33, l_cmx_id_34,
                            l_cmx_id_35, l_cmx_id_36, l_cmx_id_37,
                            l_cmx_id_38, l_cmx_id_39, l_cmx_id_40,
                            l_cmx_id_41, l_cmx_id_42, l_cmx_id_43,
                            l_cmx_id_44, l_cmx_id_45, l_cmx_id_46,
                            l_cmx_id_47, l_cmx_id_48, l_cmx_id_49,
                            l_cmx_id_50,
                            i_need_to_commit);
      END IF;



    --
    -- The commit/rollback decision has to be handled by the caller.
    --

--
   IF (i_need_to_commit = 'Y') THEN
      commit;
   END IF;


  END SET_XACT_FRAUD_FLAG;

/
show errors;


