
  CREATE OR REPLACE PROCEDURE UNCHECKOUT_ALERT (
   I_USER_NAME IN VARCHAR2
)


-----------------------------------------------------------------------------
-- File:   uncheckout_alert.sql
--
--
-- Description:  procedure periodically unchecksout abandoned alerts.
--
--
-- Called By: batch scheduler
--
--
-- Calls:
--     UNCHECKOUT_SPECIFIC_ALERT
--
-- Notes:
--
-- Usage:
--
--
-- History:     
--     2012/07/23    leushe				 Ported from DB2 
--     2014/02/26    leushe              Corrected the timestamp calculation to get seconds
--
------------------------------------------------------------------------
IS

-- step 0. declare local variables

 L_UNCHK_DUR         INT;

 L_DEFAULT_INTERVAL  VARCHAR2(10) DEFAULT '60' ;
 L_ALERT_ID          NUMBER DEFAULT -1 ;
 V_SQLSTATE          VARCHAR2(5) DEFAULT '00000' ;

			
  CURSOR c_stmt( definterval NUMBER DEFAULT 3600)
   IS SELECT alert_id FROM fcm_alert WHERE ALERT_STATUS = 'CHECKOUT'
   AND abs(extract(second from (SYS_EXTRACT_UTC(CURRENT_TIMESTAMP)-checkout_timestamp)) + extract(minute from (SYS_EXTRACT_UTC(CURRENT_TIMESTAMP)-checkout_timestamp))*60 + extract(hour from (SYS_EXTRACT_UTC(CURRENT_TIMESTAMP)-checkout_timestamp))*60*60 + extract(day from (SYS_EXTRACT_UTC(CURRENT_TIMESTAMP)-checkout_timestamp))*24*60*60) > definterval ; 
   --substr((SYS_EXTRACT_UTC(CURRENT_TIMESTAMP)-checkout_timestamp),instr((SYS_EXTRACT_UTC(CURRENT_TIMESTAMP)-checkout_timestamp),' ')+4,2) > definterval ;
BEGIN
       SELECT CAST( (CASE WHEN TRIM (PROPERTY_VALUE) is null THEN L_DEFAULT_INTERVAL ELSE trim(PROPERTY_VALUE) END) AS INT) into L_UNCHK_DUR
										FROM FCM_PROPERTY
										WHERE PROPERTY_NAME = 'analyst.alert.uncheckout.interval';
 			
      OPEN C_stmt(L_UNCHK_DUR*60);
      WHILE (V_SQLSTATE = '00000')      LOOP

         FETCH C_STMT INTO L_ALERT_ID;
         IF (c_stmt%FOUND) THEN
              v_sqlstate   := '00000';
              UNCHECKOUT_SPECIFIC_ALERT (l_alert_id,i_user_name);
           ELSE
              v_sqlstate   := '99999';
           END IF;

      END LOOP;
      CLOSE C_STMT;






END UNCHECKOUT_ALERT;

/
show errors;


