---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY p
USING (select 'AMG_BATCHALERT_FILE' as property_name from dual) ac
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_ID,PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
    CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
    PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
  property_seq.nextval
 , 'AMG_BATCHALERT_FILE' 
 , '!SASFMCP_IMPLEMENT_HOME/alertmgt/data/batchAlert.csv'
 , 'Full path and CSV filename to the batch alert input file'
 , 'batch alert input file'
 , 'amg'
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 ,  'system'  
 ,  'system' 
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
;
commit;

merge into FCM_PROPERTY p
USING (select 'AMG_BULKSTATUS_FILE' as property_name from dual) ac
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_ID,PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
    CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
    PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
  property_seq.nextval
 , 'AMG_BULKSTATUS_FILE' 
 , '!SASFMCP_IMPLEMENT_HOME/alertmgt/data/bulkAlertStatus.csv'
 , 'Full path and CSV file name to the bulk status input file'
 , 'bulk status input file'
 , 'amg'
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 ,  'system'  
 ,  'system'  
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
;
commit;



---------------------------------------------------------------------------------
--
-- Insert version release 3.3.1.9 (3.3 M1 HF9)
--
---------------------------------------------------------------------------------
insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.3.1.9', current_date, '3.3 M1 HF9 DDL', 'DDL') ;
commit;