---------------------------------------------------------------------------------
--
-- Add new FRH_PROPERTY entry for Dynamic Summarization
--
---------------------------------------------------------------------------------

merge into FRH_PROPERTY p
USING VALUES( 'dys_extendtime') as ac (property_name) 
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
    CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
    PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'dys_extendtime' 
 , '3600'
 , 'Additional time in seconds to extract transactions'
 , 'Additional time in seconds to extract transactions'        
 , 'dynsumm'
 ,  CURRENT_TIMESTAMP 
 ,  'system'  
 ,  'system'  
 ,  CURRENT_TIMESTAMP
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
;
commit work;

---------------------------------------------------------------------------------
--
-- Add new FRH_PROPERTY entry for Rule Firing Report
--
---------------------------------------------------------------------------------

merge into FRH_PROPERTY p
USING VALUES ( 'rule_fire_ext_days') as ac (PROPERTY_NAME)
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
    CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
    PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'rule_fire_ext_days' 
 , '30'
 , 'Number of days to extract for Rule Fire report'
 , 'Days to extract for Rule Fire report'        
 , 'etl'
 ,  CURRENT_TIMESTAMP
 ,  'system'  
 ,  'system'  
 ,  CURRENT_TIMESTAMP 
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
;
commit work;


---------------------------------------------------------------------------------
--
-- Insert version release 3.3.1.11 (3.3 M1 HF11)
--
---------------------------------------------------------------------------------

merge into FRH_VERSION p
USING values('Base DDL', '3.3.1.11') as 
                     ac(VERSION_NAME , VERSION_NUM)
                  ON (p.VERSION_NAME = ac.VERSION_NAME
                      AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT)
VALUES (
        'Base DDL', '3.3.1.11', current_date, '3.3 M1 HF11 DDL', 'DDL')
;

commit work;
